@echo off
rem *******************************************************************************
rem  Licensed Materials - Property of IBM
rem  (c) Copyright IBM Corporation 2011. All Rights Reserved.
rem  
rem  Note to U.S. Government Users Restricted Rights:  
rem  Use, duplication or disclosure restricted by GSA ADP Schedule 
rem  Contract with IBM Corp. 
rem  *******************************************************************************

setlocal

for /f "delims=" %%i in ('cd') do set START_DIR=%%i

set SCRIPT_DIR=%~dp0
set /A VERIF_VALUE=0
set /A RETURN_VALUE=0

REM ********************************************
REM * Verify that public URLs are well defined *
REM * in the teamserver.properties files       *
REM ********************************************

set VERIF_LOG_FILE="%SCRIPT_DIR%\.%UPGRADED_APP%_verify.log"
if EXIST %VERIF_LOG_FILE% (
	attrib -h %VERIF_LOG_FILE%
	del %VERIF_LOG_FILE%
)


REM JTS teamserver.properties
rem =========================

set TEAMSERVER_PROPERTIES_FILE=%NEW_JTS_HOME%\%JTS_CONTEXT_ROOT%\teamserver.properties
set /A N1=0
set /A N2=0
set FIND_CMD=%SystemRoot%\system32\find.exe

rem Check Public URI presence in the file
for /F "tokens=1,2* delims=:" %%i in ('%FIND_CMD% /C "com.ibm.team.repository.server.webapp.url" %TEAMSERVER_PROPERTIES_FILE%') do set /A N1=%%k
if %N1% EQU 0 (
	rem None was found => error
	call %MSG_FILE_PATH% MISSING_PUBLIC_URI %JTS_CONTEXT_ROOT% %TEAMSERVER_PROPERTIES_FILE%
	set /A RETURN_VALUE=1
	goto :LBLJTSEND
)
for /F "tokens=1,2* delims=:" %%i in ('%FIND_CMD% /C "#com.ibm.team.repository.server.webapp.url" %TEAMSERVER_PROPERTIES_FILE%') do set /A N2=%%k
if %N2% EQU %N1% (
	rem All public URLs are commented => error
	call %MSG_FILE_PATH% COMMENTED_PUBLIC_URI %JTS_CONTEXT_ROOT% %TEAMSERVER_PROPERTIES_FILE%
	set /A RETURN_VALUE=1
	goto LBLJTSEND
)
:LBLJTSEND
echo JTS: %N1% %N2% > %VERIF_LOG_FILE%
if %UPGRADED_APP% == jts goto :LBLEND
if %UPGRADED_APP% == rm  goto :LBLEND

REM Application teamserver.properties
rem =================================

set TEAMSERVER_PROPERTIES_FILE=%NEW_APPLICATION_HOME%\%APPLICATION_CONTEXT_ROOT%\teamserver.properties

rem Check Public URI presence in the file
for /F "tokens=1,2* delims=:" %%i in ('%FIND_CMD% /C "com.ibm.team.repository.server.webapp.url" %TEAMSERVER_PROPERTIES_FILE%') do set N1=%%k
if %N1% EQU 0 (
	rem None was found => error
	call %MSG_FILE_PATH% MISSING_PUBLIC_URI %APPLICATION_CONTEXT_ROOT% %TEAMSERVER_PROPERTIES_FILE%
	set /A RETURN_VALUE=2
	goto :LBLAPPEND
)
for /F "tokens=1,2* delims=:" %%i in ('%FIND_CMD% /C "#com.ibm.team.repository.server.webapp.url" %TEAMSERVER_PROPERTIES_FILE%') do set N2=%%k
if %N2% EQU %N1% (
	rem All public URLs are commented => error
	call %MSG_FILE_PATH% COMMENTED_PUBLIC_URI %APPLICATION_CONTEXT_ROOT% %TEAMSERVER_PROPERTIES_FILE%
	set /A RETURN_VALUE=2
	goto :LBLAPPEND
)
:LBLAPPEND
echo RTC: %N1% %N2% >> %VERIF_LOG_FILE%

:LBLEND
attrib +h %VERIF_LOG_FILE%
endlocal & exit /b %RETURN_VALUE%
