@echo off
rem *******************************************************************************
rem  Licensed Materials - Property of IBM
rem  (c) Copyright IBM Corporation 2011. All Rights Reserved.
rem  
rem  Note to U.S. Government Users Restricted Rights:  
rem  Use, duplication or disclosure restricted by GSA ADP Schedule 
rem  Contract with IBM Corp. 
rem  *******************************************************************************

if NOT DEFINED SCRIPT_DIR setlocal
set LANG_SUFFIX=
set FIND_CMD=%SystemRoot%\system32\find.exe

REM **************
REM * Get locale *
REM **************

REM Try to get the locale value from the "Current language for non-unicode programs" Windows setting
set LOCALE_KEY="HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Nls\Language"
for /F "tokens=3" %%a in ('reg query %LOCALE_KEY%  ^| %FIND_CMD% /i "default"') do set LCID=%%a
set LANG_GROUP=%LCID:~-2%
if /I %LANG_GROUP% == 04 goto LBLCHINESE
if /I %LANG_GROUP% == 05 set LANG_SUFFIX=_csy&goto LBLEND
if /I %LANG_GROUP% == 07 set LANG_SUFFIX=_deu&goto LBLEND
if /I %LANG_GROUP% == 09 goto LBLEND
if /I %LANG_GROUP% == 0A set LANG_SUFFIX=_esn&goto LBLEND
if /I %LANG_GROUP% == 0C set LANG_SUFFIX=_fra&goto LBLEND
if /I %LANG_GROUP% == 0E set LANG_SUFFIX=_hun&goto LBLEND
if /I %LANG_GROUP% == 10 set LANG_SUFFIX=_ita&goto LBLEND
if /I %LANG_GROUP% == 11 set LANG_SUFFIX=_jpn&goto LBLEND
if /I %LANG_GROUP% == 12 set LANG_SUFFIX=_kor&goto LBLEND
if /I %LANG_GROUP% == 15 set LANG_SUFFIX=_plk&goto LBLEND
if /I %LANG_GROUP% == 16 set LANG_SUFFIX=_ptb&goto LBLEND
if /I %LANG_GROUP% == 19 set LANG_SUFFIX=_rus&goto LBLEND
goto LBLCPI

:LBLCHINESE
set LANG_SUBGROUP=%LCID:~1,1%
if /I %LANG_SUBGROUP% == 8 set LANG_SUFFIX=_chs&goto LBLEND
if /I %LANG_SUBGROUP% == 0 set LANG_SUFFIX=_chs&goto LBLEND
if /I %LANG_SUBGROUP% == C set LANG_SUFFIX=_cht&goto LBLEND
if /I %LANG_SUBGROUP% == 4 set LANG_SUFFIX=_cht&goto LBLEND
goto LBLCPI

:LBLCPI
REM Try to get the locale from the "Control Panel/International" setting
set LOCALE_KEY="HKEY_CURRENT_USER\Control Panel\International"
for /F "tokens=3" %%a in ('reg query %LOCALE_KEY%  ^| %FIND_CMD% /i "sLanguage"') do set LANGUAGE=%%a
if "%LANGUAGE%" == "" (
	echo.
	echo No language was set, so English messages will be used.
	goto :LBLEND
)
if EXIST "~dp0messages\MESSAGES_%LANGUAGE%.bat" (
	set LANG_SUFFIX=_%LANGUAGE%
)

:LBLEND
if DEFINED SCRIPT_DIR exit /b 0

rem Local command
if "%1" == "-jts" set FIRST_PARAM=%1&shift&goto :LBLPARAMS
if "%1" == "-ccm" set FIRST_PARAM=%1&shift&goto :LBLPARAMS
if "%1" == "-qm" set FIRST_PARAM=%1&shift&goto :LBLPARAMS
if "%1" == "-rm" set FIRST_PARAM=%1&shift&goto :LBLPARAMS

:LBLPARAMS
if NOT "%FIRST_PARAM%" == ""  set UPGRADED_APP=%FIRST_PARAM:~1%
if /I "%1" == "-showParamFileName" (
	if "%UPGRADED_APP%" == "" (
		call "%~dp0messages\MESSAGES%LANG_SUFFIX%.bat" SHOW_PARAM_FILE_NAMES_LIST "%~dp0" %LANG_SUFFIX%
	) else (
		call "%~dp0messages\MESSAGES%LANG_SUFFIX%.bat" SHOW_PARAM_FILE_NAME "%~dp0params\%UPGRADED_APP%_params%LANG_SUFFIX%.bat"
	)
)
endlocal
