@echo off
rem *******************************************************************************
rem  Materiales bajo licencia - Propiedad de IBM
rem  (c) Copyright IBM Corporation 2011. Reservados todos los derechos.
rem  
rem  Note to U.S. Government Users Restricted Rights:
rem  Use, duplication or disclosure restricted by GSA ADP Schedule
rem  Contract with IBM Corp.
rem  *******************************************************************************

rem ################################################################################
rem
rem Archivo de los mensajes que muestran los scripts automticos de actualizacin.
rem
rem ################################################################################

setlocal
set TAB=     
if "%1" == "" goto :LBLEND
if "%1" == "HELP" goto :LBLHELP
goto LBLMSG_%1


REM ************************************
REM * Mensajes de verificacin inicial *
REM ************************************

:LBLMSG_INVALID_LAUNCH
set TAB=    
echo.
echo No ejecute el script app_upgrade directamente.  Para actualizar JTS o la aplicacin, ejecute uno de los siguientes mandatos:
echo %TAB%ccm_upgrade
echo %TAB%jts_upgrade
echo %TAB%qm_upgrade
echo %TAB%rm_upgrade
echo Utilice -help para obtener una descripcin completa de los mandatos de arriba.
echo.
goto LBLEND

:LBLMSG_INVALID_START_DIR
set TAB=    
echo.
echo Salvo cuando se utiliza el parmetro -help, el script %2 no se puede ejecutar desde ningn directorio que no sea %3
echo.
goto LBLEND

:LBLMSG_SHOW_PARAM_FILE_NAME
echo.
echo El archivo %2 contiene los valores de parmetro del script de actualizacin.
echo Si necesita modificar alguno de los valores de parmetro predeterminados, puede editar estos archivos o puede especificar los valores de parmetro como argumentos de lnea de mandatos en los scripts de actualizacin.
echo.
goto LBLEND

:LBLMSG_SHOW_PARAM_FILE_NAMES_LIST
echo.
echo El siguiente conjunto de archivos contiene valores de parmetro predeterminados para un aplicacin o actualizacin de JTS.  Si necesita modificar alguno de los valores de parmetro predeterminados, puede editar estos archivos o puede especificar los valores de parmetro como argumentos de lnea de mandatos en los scripts de actualizacin.
echo %TAB%- Actualizacin de CCM: %2params\ccm_params%3.bat
echo %TAB%- Actualizacin de QM:  %2params\qm_params%3.bat
echo %TAB%- Actualizacin de RM:  %2params\rm_params%3.bat
echo %TAB%- Actualizacin de JTS: %2params\jts_params%3.bat
echo.
goto LBLEND


REM ************************************
REM * Mensajes de verificacin de parmetros *
REM ************************************

REM Verificacin intrnseca
rem ======================

:LBLMSG_MISSING_APP_TYPE
echo.
echo No se ha especificado JTS ni ningn tipo de aplicacin.  Para actualizar JTS o la aplicacin, ejecute uno de los siguientes mandatos:
echo     ccm_upgrade
echo     jts_upgrade
echo     qm_upgrade
echo     rm_upgrade
echo Utilice -help para obtener una descripcin completa de los mandatos de arriba.
echo.
goto LBLEND

:LBLMSG_INVALID_APP_TYPE
echo.
echo %2 no es un JTS o un tipo de aplicacin vlido.  Para actualizar JTS o la aplicacin, ejecute uno de los siguientes mandatos:
echo     ccm_upgrade
echo     jts_upgrade
echo     qm_upgrade
echo     rm_upgrade
echo Utilice -help para obtener una descripcin completa de los mandatos de arriba.
echo.
goto LBLEND

:LBLMSG_MISSING_PARAM_VALUE
echo.
echo Falta el valor del parmetro %2.
echo Utilice -help para obtener una descripcin completa de los parmetros.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_DIR
echo.
echo El directorio %3 especificado para el parmetro %2 no existe o no es vlido.
echo Utilice -help para obtener una descripcin completa de los parmetros.
echo.
goto LBLEND

:LBLMSG_RELATIVE_PARAM_DIR
echo.
echo El directorio %3 especificado para el parmetro %2 debe ser una va de acceso absoluta.
echo Utilice -help para obtener una descripcin completa de los parmetros.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_FILE
echo.
echo El archivo %3 especificado para el parmetro %2 no existe o no es vlido.
echo Utilice -help para obtener una descripcin completa de los parmetros.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_VALUE
echo.
echo %3 es un valor no vlido para el parmetro %2.
echo Utilice -help para obtener una descripcin completa de los parmetros.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM
echo.
echo %2 es un parmetro desconocido.
echo Utilice -help para obtener una descripcin completa de los parmetros.
echo.
goto LBLEND


REM Verificacin extrnseca
rem ======================

:LBLMSG_MISSING_HOME_PARAM
echo.
echo Falta el parmetro %2 del directorio de inicio.
echo Utilice -help para obtener una descripcin completa de los parmetros.
echo.
goto LBLEND

:LBLMSG_DIR_NOT_FOUND
echo.
echo El directorio %2 no existe o no es vlido.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_2X_APP
echo.
echo No se puede encontrar el mandato repotools de aplicacin '%2'.
echo.
echo Compruebe que el parmetro -oldApplicationHome '%3' seala al directorio de configuracin del servidor antiguo; por ejemplo, 'JazzInstallRoot\server\conf'.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_OLD_APP
echo.
echo No se puede encontrar el mandato repotools de aplicacin '%2'.
echo.
echo Compruebe que el parmetro -oldApplicationHome '%3' seala al antiguo directorio de configuracin del servidor; por ejemplo, 'JazzInstallRoot\server\conf' y que el parmetro jtsContextRoot '%4' sea correcto.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_2X_APP
echo.
echo No se puede encontrar el archivo de configuracin '%2'.
echo.
echo Compruebe que el parmetro -oldApplicationHome '%3' seala al directorio de configuracin del servidor antiguo; por ejemplo, 'JazzInstallRoot\server\conf'.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_OLD_APP
echo.
echo No se puede encontrar el archivo de configuracin '%2'.
echo.
echo Compruebe que el parmetro -oldApplicationHome '%3' seala al antiguo directorio de configuracin del servidor; por ejemplo, 'JazzInstallRoot\server\conf' y que el parmetro jtsContextRoot '%4' sea correcto.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_NEW_APP
echo.
echo No se puede encontrar el mandato repotools de aplicacin '%2'.
echo.
echo Compruebe que el parmetro -newApplicationHome '%3' seala al nuevo directorio de configuracin del servidor de aplicaciones; por ejemplo, 'JazzInstallRoot\server\conf' y que el parmetro jtsContextRoot '%4' sea correcto.
echo Si va a realizar una actualizacin desde un release anterior, asegrese de que ha seleccionado las races de contexto correctas.  Por ejemplo, si utiliza Gestor de instalacin, debe seleccionar la opcin de raz de contexto %5 en el panel "Opciones de raz de contexto".  Si ha seleccionado por accidente una opcin diferente, debe volver a instalar el producto con la opcin de raz de contexto %5.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_NEW_APP
echo.
echo No se puede encontrar el archivo de configuracin '%2'.
echo.
echo Compruebe que el parmetro -newApplicationHome '%3' seala al nuevo directorio de configuracin del servidor JTS ; por ejemplo, 'JazzInstallRoot\server\conf' y que el parmetro jtsContextRoot '%4' sea correcto.
echo Si va a realizar una actualizacin desde un release anterior, asegrese de que ha seleccionado las races de contexto correctas.  Por ejemplo, si utiliza Gestor de instalacin, debe seleccionar la opcin de raz de contexto %5 en el panel "Opciones de raz de contexto".  Si ha seleccionado por accidente una opcin diferente, debe volver a instalar el producto con la opcin de raz de contexto %5.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_OLD_JTS
echo.
echo No se puede encontrar el mandato repotools de JTS '%2'.
echo.
echo Compruebe que el parmetro -oldJTSHome '%3' seala al antiguo directorio de configuracin del servidor de JTS; por ejemplo, 'JazzInstallRoot\server\conf' y que el parmetro jtsContextRoot '%4' sea correcto.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_OLD_JTS
echo.
echo No se puede encontrar el archivo de configuracin '%2'.
echo.
echo Compruebe que el parmetro -oldJTSHome '%3' seala al antiguo directorio de configuracin del servidor de JTS; por ejemplo, 'JazzInstallRoot\server\conf' y que el parmetro jtsContextRoot '%4' sea correcto.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_NEW_JTS
echo.
echo No se puede encontrar el mandato repotools de JTS '%2'.
echo.
echo Compruebe que el parmetro -newJTSHome '%3' seala al nuevo directorio de configuracin del servidor JTS ; por ejemplo, 'JazzInstallRoot\server\conf' y que el parmetro jtsContextRoot '%4' sea correcto.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_NEW_JTS
echo.
echo No se puede encontrar el archivo de configuracin '%2'.
echo.
echo Compruebe que el parmetro -newJTSHome '%3' seala al nuevo directorio de configuracin del servidor JTS ; por ejemplo, 'JazzInstallRoot\server\conf' y que el parmetro jtsContextRoot '%4' sea correcto.
echo.
goto LBLEND

:LBLMSG_MISSING_IMPORT_FROM_FILE
echo.
echo Se necesita un archivo tar que contenga los datos de la versin 2.x para actualizar %2.
echo Utilice -help para obtener una descripcin completa de los parmetros.
echo.
goto LBLEND


REM **********************
REM * Mensajes de ejecucin *
REM **********************

:LBLMSG_BANNER_jts
echo.
echo.
echo ===============================================
echo ===  Actualizacin de JTS de %2 a 3.0.1.2  ===
echo ===============================================
echo.
goto LBLEND

:LBLMSG_BANNER_ccm
echo.
echo.
echo ================================================
echo ===  Actualizacin de CCM de %2 a 3.0.1.2   ===
echo ================================================
echo.
goto LBLEND

:LBLMSG_BANNER_qm
echo.
echo.
echo ==============================================
echo ===  Actualizacin de QM de %2 a 3.0.1.2  ===
echo ==============================================
echo.
goto LBLEND

:LBLMSG_BANNER_rm
echo.
echo.
echo ==============================================
echo ===  Actualizacin de RM de %2 a 3.0.1.2  ===
echo ==============================================
echo.
goto LBLEND


REM ************************
REM * Conmutar primer paso *
REM ************************

:LBLMSG_INITIAL_STEP_FAILED
echo.
echo La ltima ejecucin fall en el paso inicial...
goto LBLEND

:LBLMSG_LAST_STEP_FAILED
echo.
echo La ltima ejecucin fall en el paso %2...
echo Desea reiniciar la actualizacin desde este paso o desde otro anterior?
goto LBLEND

:LBLMSG_ALREADY_RUN
echo.
echo La actualizacin se ha realizado y ha finalizado satisfactoriamente...
echo Desea iniciar una nueva a partir de un determinado paso?
goto LBLEND

:LBLMSG_LAST_STEP_PASSED
echo.
echo La ltima ejecucin se detuvo satisfactoriamente en el paso %2...
echo Desea reiniciar la actualizacin desde el paso %3 actual o desde otro anterior?
goto LBLEND

:LBLMSG_ENTER_NEXT_STEP
echo.
echo Especifique el nmero de paso [%2-%3] desde el que desee reiniciar la actualizacin o pulse la tecla [Intro] para cancelar:
goto LBLEND

:LBLMSG_INTEGER_STEP_NUMBER
echo.
echo '%2' no es un nmero. Especifique un nmero de paso vlido.
goto LBLEND

:LBLMSG_INVALID_STEP_NUMBER
echo.
echo '%2' no es un nmero de paso vlido. Especifique un nmero de paso vlido.
goto LBLEND

:LBLMSG_MAX_STEP_NUMBER
echo.
echo El ltimo paso es %2; por lo tanto, no podr reiniciar la actualizacin en el paso %3.
goto LBLEND

:LBLMSG_NUM_MAX_STEP_NUMBER
echo.
echo El paso %2 no se ha ejecutado todava; por lo tanto, no podr reiniciar la actualizacin en el paso %3.



REM **********************
REM * Mensajes de pasos  *
REM **********************

:LBLMSG_STEP_0
echo Paso 0: Actualizar archivos de configuracin
echo --------------------------------------------
goto LBLEND

:LBLMSG_STEP_1_ADD
echo Paso 1: Aadir tablas
echo ---------------------
goto LBLEND

:LBLMSG_STEP_1_IMPORT
echo Paso 1: Importar datos de %2
echo --------------------------------------
goto LBLEND

:LBLMSG_STEP_2_EXPORT_USER_INFO
echo Paso 2: Exportar informacin de usuario desde la base de datos de aplicacin
echo ----------------------------------------------------------------------------
goto LBLEND

:LBLMSG_STEP_2_COPY_TEXT_INDICES
echo Paso 2: Copiar ndices de texto
echo -------------------------------
goto LBLEND

:LBLMSG_STEP_2_UPGRADE_DATA_WAREHOUSE
echo Paso 2: Actualizar esquema de almacn de datos
echo ----------------------------------------------
goto LBLEND

:LBLMSG_STEP_3_IMPORT_USER_INFO
echo Paso 3: Importar informacin de usuario en la base de datos JTS
echo ---------------------------------------------------------------
goto LBLEND

:LBLMSG_STEP_3_UPGRADE_DATA_WAREHOUSE
echo Paso 3: Actualizar esquema de almacn de datos
echo ----------------------------------------------
goto LBLEND

:LBLMSG_STEP_4
echo Paso 4: Importar informacin de usuario JTS en la base de datos de aplicacin
echo -----------------------------------------------------------------------------
goto LBLEND

:LBLMSG_STEP_5
echo Paso %2: Reconstruir ndices de texto
echo ------------------------------------
goto LBLEND

:LBLMSG_STEP_6
echo Paso %2: Recrear ndices de bsqueda y consulta
echo ----------------------------------------------
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_FAILED
echo.
echo La actualizacin %2 ha fallado en el paso %3.  Corrija el problema y vuelva a ejecutar el script comenzando por el paso %3.
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_JTS
echo.
echo La actualizacin %2 ha sido satisfactoria.  Inicie el servidor y utilice el asistente de configuracin de JTS para validar
la configuracin JTS.  Ahora podr tambin actualizar las aplicaciones en su entorno.
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_RM
echo.
echo La parte fuera de lnea de la actualizacin %2 ha sido satisfactoria.  Inicie el servidor y vaya hasta el asistente de migracin %2 para completar la migracin en lnea.
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_CCM_QM
echo.
echo La actualizacin %2 ha sido satisfactoria. Inicie los servidores en el despliegue. Si el JTS no se ha configurado, utilice el asistente de configuracin para configurarlo y registrar la aplicacin. De lo contrario, registre la aplicacin en la pgina de administracin de servidores de JTS.
echo.
goto LBLEND

REM ****************************************
REM * Mensajes mientras se ejecuta un paso *
REM ****************************************

:LBLMSG_STEP_DIR_CMD
echo.
echo Directorio: %2
echo Mandato:
goto LBLEND

:LBLMSG_ENTER_STEP_ACTION
echo Especifique [E] para ejecutar este paso, [S] para omitirlo o pulse [Intro] para cancelar la ejecucin del script:
goto LBLEND

:LBLMSG_INVALID_STEP_ACTION
echo.
echo '%2'no es una entrada vlida; solo se permiten 'E', 'S' o 'Intro'
echo.
goto LBLEND

:LBLMSG_EDIT_TEAMSERVER_PROPERTIES
echo.
echo Se abrir un editor de rea de notas para permitirle verificar el archivo teamserver.properties de %2.
echo Verifique que la raz del URI pblico indicada por la propiedad com.ibm.team.repository.server.webapp.url es correcta.
echo Verifique que las propiedades de la base de datos son correctas.
echo Cuando haya finalizado, guarde los cambios, si hay alguno, y cierre el editor para continuar ejecutando el script.
echo.
echo Consulte el tema 'Upgrading the Jazz Team Server and the CLM applications' en el centro de informacin
echo para obtener informacin sobre cmo configurar adecuadamente cada propiedad:
echo http://publib.boulder.ibm.com/infocenter/clmhelp/v3r0m1/topic/com.ibm.jazz.install.doc/topics/t_update_prepare_config.html
goto LBLEND

:LBLMSG_PAUSE
echo.
echo Escriba [C] para proseguir la ejecucin o pulse [Intro] para cancelar la ejecucin del script:
goto LBLEND

:LBLMSG_INVALID_PAUSE_ACTION
echo.
echo '%2' no es una entrada vlida; solo se permiten 'C' o 'Intro'
echo.
goto LBLEND

:LBLMSG_COPY_INDICES_FAILED
echo.
echo No se han podido copiar los ndices de texto de '%2' a '%3'.
echo Verifique la propiedad com.ibm.team.fulltext.indexLocation
echo definida en el archivo teamserver.properties.
echo Copie manualmente los ndices de texto en este directorio
echo o ejecute repotools -rebuildTextIndices para reconstruirlos.
echo.
goto LBLEND

REM ********************************************
REM * Mensajes de verificacin de URI pblicos *
REM ********************************************

:LBLMSG_MISSING_PUBLIC_URI
echo.
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ERROR !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo No hay ningn URI pblico definido en
echo %3;
echo por lo tanto, no se puede iniciar la actualizacin.
echo.
echo Debe haber un URI pblico en este archivo definido del siguiente modo:
echo https\://hostname.example.com\:port/%2
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo La propiedad del URI pblico com.ibm.team.repository.server.webapp.url debe estar presente en el archivo teamserver.properties.
echo Aada la propiedad al archivo 2.x teamserver.properties y defina el valor para que sea la raz del URI que todos los clientes utilizan para alcanzar el servidor.
echo La raz del URI pblico es fundamental para el apropiado funcionamiento de su servidor 3.0.1.x. La actualizacin no se realizar correctamente sin esta propiedad.
echo Para obtener ms informacin, consulte el tema 'Planning your URIs' del centro de informacin en:
echo http://publib.boulder.ibm.com/infocenter/clmhelp/v3r0m1/topic/com.ibm.jazz.install.doc/topics/c_planning_URLs.html
echo.
goto LBLEND

:LBLMSG_COMMENTED_PUBLIC_URI
echo.
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ERROR !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo Todos los URI pblicos definidos en
echo %3
echo se han comentado; por lo tanto, no se puede iniciar la actualizacin.
echo.
echo Debe tener un URI pblico sin comentar en este archivo definido del siguiente modo:
echo https\://hostname.example.com\:port/%2
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo La propiedad del URI pblico com.ibm.team.repository.server.webapp.url debe estar presente en el archivo teamserver.properties.
echo Aada la propiedad al archivo 2.x teamserver.properties y defina el valor para que sea la raz del URI que todos los clientes utilizan para alcanzar el servidor.
echo La raz del URI pblico es fundamental para el apropiado funcionamiento de su servidor 3.0.1.x. La actualizacin no se realizar correctamente sin esta propiedad.
echo Para obtener ms informacin, consulte el tema 'Planning your URIs' del centro de informacin en:
echo http://publib.boulder.ibm.com/infocenter/clmhelp/v3r0m1/topic/com.ibm.jazz.install.doc/topics/c_planning_URLs.html
echo.
goto LBLEND


:LBLEND
endlocal
