@echo off
rem *******************************************************************************
rem  Materiais Licenciados - Propriedade da IBM
rem  (c) Copyright IBM Corporation 2011. Todos os Direitos Reservados.
rem
rem  Nota sobre Direitos Restritos para Usurios do Governo dos Estados Unidos:
rem  Uso, duplicao ou divulgao restritos pelo documento GSA ADP Schedule
rem  Contract com a IBM Corp.
rem  *******************************************************************************

rem ################################################################################
rem
rem Arquivo para mensagens exibidas pelos scripts automatizados de upgrade.
rem
rem ################################################################################

setlocal
set TAB=
if "%1" == "" goto :LBLEND
if "%1" == "HELP" goto :LBLHELP
goto LBLMSG_%1


REM ************************************
REM * Mensagens de verificao inicial *
REM ************************************

:LBLMSG_INVALID_LAUNCH
set TAB=
echo.
echo No execute o scrip app_upgrade diretamente.  Para atualizar o JTS ou o aplicativo, execute um dos seguintes comandos:
echo %TAB%ccm_upgrade
echo %TAB%jts_upgrade
echo %TAB%qm_upgrade
echo %TAB%rm_upgrade
echo Use -help para obter uma descrio completa dos comandos acima.
echo.
goto LBLEND

:LBLMSG_INVALID_START_DIR
set TAB=
echo.
echo Exceto ao usar o parmetro -help, o script %2 no pode ser executado a partir de um outro diretrio diferente de %3
echo.
goto LBLEND

:LBLMSG_SHOW_PARAM_FILE_NAME
echo.
echo O arquivo %2 contm os valores de parmetro para o script de atualizao.
echo Se precisar modificar qualquer valor de parmetro padro,  possvel editar estes arquivos ou especificar os valores de parmetro como argumentos de linha de comandos para os scripts de atualizao.
echo.
goto LBLEND

:LBLMSG_SHOW_PARAM_FILE_NAMES_LIST
echo.
echo O seguinte conjunto de arquivos contm valores de parmetro padro para um aplicativo ou atualizao de JTS.  Se for necessrio modificar qualquer valor de parmetro padro,  possvel editar estes arquivos ou especificar os valores de parmetro como argumentos de linha de comandos para os scripts de atualizao.
echo %TAB%- Atualizao do CCM: %2params\ccm_params%3.bat
echo %TAB%- Atualizao do QM:  %2params\qm_params%3.bat
echo %TAB%- Atualizao do RM:  %2params\rm_params%3.bat
echo %TAB%- Atualizao do JTS: %2params\jts_params%3.bat
echo.
goto LBLEND


REM ************************************
REM * Mensagens de Verificao de Parmetros *
REM ************************************

REM Verificao Intrnseca
rem ======================

:LBLMSG_MISSING_APP_TYPE
echo.
echo Nenhum JTS ou tipo de aplicativo foi especificado.  Para atualizar o JTS ou aplicativo, execute um dos seguintes comandos:
echo     ccm_upgrade
echo     jts_upgrade
echo     qm_upgrade
echo     rm_upgrade
echo Use -help para obter uma descrio completa dos comandos acima.
echo.
goto LBLEND

:LBLMSG_INVALID_APP_TYPE
echo.
echo %2 no  um JTS ou tipo de aplicativo vlido.  Para atualizar o JTS ou aplicativo, execute um dos seguintes comandos:
echo     ccm_upgrade
echo     jts_upgrade
echo     qm_upgrade
echo     rm_upgrade
echo Use -help para obter uma descrio completa dos comandos acima.
echo.
goto LBLEND

:LBLMSG_MISSING_PARAM_VALUE
echo.
echo Valor ausente para o parmetro %2.
echo Use -help para obter uma descrio completa dos parmetros.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_DIR
echo.
echo O diretrio %3, especificado para o parmetro %2, no existe ou no  vlido.
echo Use -help para obter uma descrio completa dos parmetros.
echo.
goto LBLEND

:LBLMSG_RELATIVE_PARAM_DIR
echo.
echo O diretrio %3, especificado para o parmetro %2, deve ser um caminho absoluto.
echo Use -help para obter uma descrio completa dos parmetros.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_FILE
echo.
echo O arquivo %3 especificado para o parmetro %2, no existe ou no  vlido.
echo Use -help para obter uma descrio completa dos parmetros.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_VALUE
echo.
echo %3  um valor invlido para o parmetro %2.
echo Use -help para obter uma descrio completa dos parmetros.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM
echo.
echo %2  um parmetro desconhecido.
echo Use -help para obter uma descrio completa dos parmetros.
echo.
goto LBLEND


REM Verificao Extrnseca
rem ======================

:LBLMSG_MISSING_HOME_PARAM
echo.
echo Parmetro de diretrio inicial %2 ausente.
echo Use -help para uma descrio completa dos parmetros.
echo.
goto LBLEND

:LBLMSG_DIR_NOT_FOUND
echo.
echo O diretrio %2 no existe ou no  vlido.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_2X_APP
echo.
echo No  possvel localizar o comando repotools do aplicativo '%2'.
echo.
echo Verifique se o parmetro -oldApplicationHome '%3 est apontando para o diretrio de configurao do servidor antigo, por exemplo, 'JazzInstallRoot\server\conf'.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_OLD_APP
echo.
echo No  possvel localizar o comando repotools do aplicativo '%2'.
echo.
echo Verifique se o parmetro -oldApplicationHome '%3' est apontando para o diretrio de configurao do servidor antigo, por exemplo, 'JazzInstallRoot\server\conf' e se o parmetro jtsContextRoot '%4' est correto.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_2X_APP
echo.
echo No  possvel localizar o arquivo de configurao '%2'.
echo.
echo Verifique se o parmetro -oldApplicationHome '%3 est apontando para o diretrio de configurao do servidor antigo, por exemplo, 'JazzInstallRoot\server\conf'.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_OLD_APP
echo.
echo No  possvel localizar o arquivo de configurao '%2'.
echo.
echo Verifique se o parmetro -oldApplicationHome '%3' est apontando para o diretrio de configurao do servidor antigo, por exemplo, 'JazzInstallRoot\server\conf' e se o parmetro jtsContextRoot '%4' est correto.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_NEW_APP
echo.
echo No  possvel localizar o comando repotools do aplicativo '%2'.  
echo.
echo Verifique se o parmetro -newApplicationHome '%3' est apontando para o novo diretrio de configurao do servidor de aplicativos, por exemplo, 'JazzInstallRoot\server\conf' e se o parmetro jtsContextRoot '%4' est correto.
echo Se estiver atualizando de uma liberao anterior, certifique-se de que tenha selecionado as razes de contexto corretas.  Por exemplo, se estiver usando o Installation Manager, voc dever selecionar a opo de raiz de contexto %5 no painel  "Opes de Raiz de Contexto".  Se tiver selecionado, acidentalmente, uma opo diferente, voc dever reinstalar o produto com a opo de raiz de contexto %5.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_NEW_APP
echo.
echo No  possvel localizar o arquivo de configurao '%2'.
echo.
echo Verifique se o parmetro -newApplicationHome '%3' est apontando para o novo diretrio de configurao do servidor JTS, por exemplo, 'JazzInstallRoot\server\conf' e se o parmetro jtsContextRoot '%4' est correto.
echo Se estiver atualizando de uma liberao anterior, certifique-se de que tenha selecionado as razes de contexto corretas.  Por exemplo, se estiver usando o Installation Manager, voc dever selecionar a opo de raiz de contexto %5 no painel  "Opes de Raiz de Contexto".  Se tiver selecionado, acidentalmente, uma opo diferente, voc dever reinstalar o produto com a opo de raiz de contexto %5.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_OLD_JTS
echo.
echo No  possvel localizar o comando JTS repotools '%2'.
echo.
echo Verifique se o parmetro -oldJTSHome '%3' est apontando para o diretrio de configurao do servidor JTS antigo, por exemplo, 'JazzInstallRoot\server\conf' e se o parmetro jtsContextRoot '%4' est correto.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_OLD_JTS
echo.
echo No  possvel localizar o arquivo de configurao '%2'.
echo.
echo Verifique se o parmetro -oldJTSHome '%3' est apontando para o diretrio de configurao do servidor JTS antigo, por exemplo, 'JazzInstallRoot\server\conf' e se o parmetro jtsContextRoot '%4' est correto.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_NEW_JTS
echo.
echo No  possvel localizar o comando JTS repotools '%2'.
echo.
echo Verifique se o parmetro -newJTSHome '%3' est apontando para o novo diretrio de configurao do servidor JTS, por exemplo, 'JazzInstallRoot\server\conf' e se o parmetro jtsContextRoot '%4' est correto.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_NEW_JTS
echo.
echo No  possvel localizar o arquivo de configurao '%2'.
echo.
echo Verifique se o parmetro -newJTSHome '%3' est apontando para o novo diretrio de configurao do servidor JTS, por exemplo, 'JazzInstallRoot\server\conf' e se o parmetro jtsContextRoot '%4' est correto.
echo.
goto LBLEND

:LBLMSG_MISSING_IMPORT_FROM_FILE
echo.
echo  requerido um arquivo tar que contenha dados 2.x para o upgrade %2.
echo Use -help para obter uma descrio completa dos parmetros.
echo.
goto LBLEND


REM **********************
REM * Mensagens de Execuo *
REM **********************

:LBLMSG_BANNER_jts
echo.
echo.
echo ==================================================
echo ===     Upgrade de JTS da %2 para 3.0.1.2     ===
echo ==================================================
echo.
goto LBLEND

:LBLMSG_BANNER_ccm
echo.
echo.
echo ==================================================
echo ===     Upgrade de CCM da %2 para 3.0.1.2     ===
echo ==================================================
echo.
goto LBLEND

:LBLMSG_BANNER_qm
echo.
echo.
echo =================================================
echo ===     Upgrade do QM da %2 para 3.0.1.2     ===
echo =================================================
echo.
goto LBLEND

:LBLMSG_BANNER_rm
echo.
echo.
echo =================================================
echo ===     Upgrade de RM da %2 para 3.0.1.2     ===
echo =================================================
echo.
goto LBLEND


REM *********************
REM * Comutador First Step *
REM *********************

:LBLMSG_INITIAL_STEP_FAILED
echo.
echo ltima execuo falhou na etapa inicial...
goto LBLEND

:LBLMSG_LAST_STEP_FAILED
echo.
echo ltima execuo falhou na etapa %2...
echo Deseja reiniciar o upgrade a partir desta etapa ou de uma anterior? 
goto LBLEND

:LBLMSG_ALREADY_RUN
echo.
echo O upgrade j foi feito e concludo com sucesso...
echo Deseja reiniciar um novo a partir de uma etapa especfica? 
goto LBLEND

:LBLMSG_LAST_STEP_PASSED
echo.
echo ltima execuo foi interrompida com sucesso na etapa %2...
echo Deseja reiniciar o upgrade a partir da etapa %3 atual ou de uma anterior? 
goto LBLEND

:LBLMSG_ENTER_NEXT_STEP
echo.
echo Insira o nmero da etapa [%2-%3] a partir da qual deseja reiniciar o upgrade ou [Enter] para Cancelar:
goto LBLEND

:LBLMSG_INTEGER_STEP_NUMBER
echo.
echo '%2' no  um nmero. Insira um nmero de etapa vlido.
goto LBLEND

:LBLMSG_INVALID_STEP_NUMBER
echo.
echo '%2'  um nmero de etapa invlido. Insira um nmero de etapa vlido.
goto LBLEND

:LBLMSG_MAX_STEP_NUMBER
echo.
echo A ltima etapa  a etapa %2, portanto, no  possvel reiniciar o upgrade na etapa %3.
goto LBLEND

:LBLMSG_NUM_MAX_STEP_NUMBER
echo.
echo A etapa %2 no foi executada ainda, portanto, no  possvel reiniciar o upgrade na etapa %3.
goto LBLEND


REM **********************
REM * Mensagens para Etapas *
REM **********************

:LBLMSG_STEP_0
echo Etapa 0: Atualizar arquivos de configurao
echo -------------------------------------------
goto LBLEND

:LBLMSG_STEP_1_ADD
echo Etapa 1: Incluir tabelas
echo ------------------------
goto LBLEND

:LBLMSG_STEP_1_IMPORT
echo Etapa 1: Importar dados %2
echo ------------------------------
goto LBLEND

:LBLMSG_STEP_2_EXPORT_USER_INFO
echo Etapa 2: Exportar informaes do usurio do bando de dados do aplicativo
echo ------------------------------------------------------------------------
goto LBLEND

:LBLMSG_STEP_2_COPY_TEXT_INDICES
echo Etapa 2: Copiar ndices de texto
echo --------------------------------
goto LBLEND

:LBLMSG_STEP_2_UPGRADE_DATA_WAREHOUSE
echo Etapa 2: Fazer upgrade do esquema de armazm de dados
echo -----------------------------------------------------
goto LBLEND

:LBLMSG_STEP_3_IMPORT_USER_INFO
echo Etapa 3: Importar Informaes sobre o usurio para o banco de dados JTS
echo -----------------------------------------------------------------------
goto LBLEND

:LBLMSG_STEP_3_UPGRADE_DATA_WAREHOUSE
echo Etapa 3: Fazer upgrade do esquema de armazm de dados
echo ------------------------------------------------------
goto LBLEND

:LBLMSG_STEP_4
echo Etapa 4: Importar Informaes sobre o usurio do JTS para o banco de dados do aplicativo
echo ----------------------------------------------------------------------------------------
goto LBLEND

:LBLMSG_STEP_5
echo Etapa %2: Reconstruir ndices do texto
echo -------------------------------------
goto LBLEND

:LBLMSG_STEP_6
echo Etapa %2: Recriar ndices de consulta e procura
echo ---------------------------------------------------------
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_FAILED
echo.
echo A atualizao %2 falhou na etapa %3.  Corrija o problema e execute o script novamente comeando na etapa %3.
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_JTS
echo.
echo A atualizao %2 foi bem-sucedida.  Inicie o servidor e use o assistente de configurao JTS para validar a configurao JTS.  Tambm  possvel atualizar quaisquer aplicativos no seu ambiente agora.
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_RM
echo.
echo A poro off-line da atualizao %2 foi bem-sucedida.  Inicie o servidor e navegue para o assistente de migrao %2 para concluir a migrao on-line.
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_CCM_QM
echo.
echo A atualizao %2 foi bem sucedida.  Iniciar os servidores em sua implementao.  Se o JTS no foi configurado, utilize o assistente de configurao para configurar o JTS e registrar o aplicativo.  Caso contrrio, registre o aplicativo na pgina de administrao do servidor do JTS.
echo.
goto LBLEND

REM *******************************
REM * Mensagens durante execuo da etapa *
REM *******************************

:LBLMSG_STEP_DIR_CMD
echo.
echo Diretrio: %2
echo Comando:
goto LBLEND

:LBLMSG_ENTER_STEP_ACTION
echo Insira [E] para executar esta etapa, [S] para ignor-la ou pressione [Enter] para cancelar a execuo do script:
goto LBLEND

:LBLMSG_INVALID_STEP_ACTION
echo.
echo '%2'  uma entrada invlida, apenas 'E', 'S' ou 'Enter' so permitidos
echo.
goto LBLEND

:LBLMSG_EDIT_TEAMSERVER_PROPERTIES
echo.
echo Um editor do bloco de notas ser aberto permitindo que voc verifique o arquivo teamserver.properties %2.
echo Verifique se a raiz de URI Pblico denotada pela propriedade com.ibm.team.repository.server.webapp.url est correta.
echo Verifique se as propriedades do banco de dados esto corretas.
echo Quando estiver pronto, salve as mudanas se houver alguma e feche o editor para continuar a execuo do script.
echo.
echo Consulte o tpico 'Atualizando o Jazz Team Server e os aplicativos de CLM' do InfoCenter
echo para obter informaes sobre como configurar adequadamente cada propriedade:
echo http://publib.boulder.ibm.com/infocenter/clmhelp/v3r0m1/topic/com.ibm.jazz.install.doc/topics/t_update_prepare_config.html
goto LBLEND

:LBLMSG_PAUSE
echo.
echo Insira [C] para continuar a execuo ou pressione [Enter] para cancelar a execuo do script:
goto LBLEND

:LBLMSG_INVALID_PAUSE_ACTION
echo.
echo '%2'  uma entrada invlida, apenas 'C' ou 'Enter' so permitidos
echo.
goto LBLEND

:LBLMSG_COPY_INDICES_FAILED
echo.
echo Falha ao copiar os ndices de texto de '%2' para '%3'.
echo Verifique a propriedade com.ibm.team.fulltext.indexLocation definida no
echo arquivo teamserver.properties.
echo Copiar manualmente os ndices de texto para esse diretrio e executar
echo o repotools -rebuildTextIndices para reconstru-los.
echo.
goto LBLEND

REM *****************************************
REM * Mensagens para verificao de URIs Pblicos *
REM *****************************************

:LBLMSG_MISSING_PUBLIC_URI
echo.
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ERRO !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo No h nenhuma URI Pblica definida em
echo %3,
echo portanto, o upgrade no pode ser iniciado.
echo.
echo Deve haver um URI Pblico neste arquivo definido conforme a seguir:
echo https\://hostname.example.com\:port/%2
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo A propriedade de URI Pblico com.ibm.team.repository.server.webapp.url deve estar presente no arquivo teamserver.properties.
echo Inclua a propriedade no 2.x do arquivo teamserver.properties e configure o valor para ser a raiz do URI que todos os clientes usam para atingir o servidor.
echo A raiz de URI Pblico  essencial para o funcionamento adequado de seu servidor 3.0.1.x. A atualizao no ser concluda com sucesso sem esta propriedade.  
echo Para obter mais informaes, consulte o tpico do InfoCenter sobre 'Planejar seus URIs' em:
echo http://publib.boulder.ibm.com/infocenter/clmhelp/v3r0m1/topic/com.ibm.jazz.install.doc/topics/c_planning_URLs.html
echo.
goto LBLEND

:LBLMSG_COMMENTED_PUBLIC_URI
echo.
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ERRO !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo Todas as URIs Pblicas definidas em
echo %3,
echo possuem linhas de comentrios, portanto, o upgrade no pode ser iniciado.
echo.
echo Ele deve ter um URI pblico no comentado neste arquivo definido conforme a seguir:
echo https\://hostname.example.com\:port/%2
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo A propriedade de URI Pblico com.ibm.team.repository.server.webapp.url deve estar presente no arquivo teamserver.properties.
echo Inclua a propriedade no 2.x do arquivo teamserver.properties e configure o valor para ser a raiz do URI que todos os clientes usam para atingir o servidor.
echo A raiz de URI Pblico  essencial para o funcionamento adequado de seu servidor 3.0.1.x. A atualizao no ser concluda com sucesso sem esta propriedade.
echo Para obter mais informaes, consulte o tpico do InfoCenter sobre 'Planejar seus URIs' em:
echo http://publib.boulder.ibm.com/infocenter/clmhelp/v3r0m1/topic/com.ibm.jazz.install.doc/topics/c_planning_URLs.html
echo.
goto LBLEND


:LBLEND
endlocal
