@echo off
rem *******************************************************************************
rem  Licenc hatlya al es anyagok - Az IBM tulajdona
rem  (c) Copyright IBM Corporation 2006, 2011. Minden jog fenntartva.
rem
rem  Megjegyzs az Egyeslt llamokhoz kormnyzati felhasznlira vonatkoz
rem  korltozott jogokhoz: A hasznlatot, sokszorostst vagy kzzttelt az
rem  IBM vllalattal kttt GSA ADP Schedule Contract szerzds szablyozza
rem  *******************************************************************************


REM #############################################################
REM #
REM # Adja meg a krnyezeti vltozkat, amelyek megfelelnek a
REM # ccm_upgrade.bat parancsfjl paramtereinek, s azok alaprtelmezett rtkeit
REM #
REM #===========================================================
REM #
REM # Ezt a fjlt a ccm_upgrade.bat parancsfjl vgrehajtsnak
REM # kezdetekor olvassa a rendszer. Egy krnyezeti vltozt llt be
REM # rvnyes, elre meghatrozott alaprtelmezett rtkkel rendelkez paramterenknt.
REM #
REM # A felhasznlk mdosthatjk az alaprtelmezett rtket a
REM # ccm_upgrade.bat sajt rtkekkel val indtshoz,
REM # anlkl, hogy meg kellene adniuk a paramtert s a
REM # megfelel rtkket a parancssorban.
REM #
REM # FIGYELMEZTETS:
REM # Nem minden vltozt szksges belltani minden
REM # alkalmazshoz.  Olvasson el figyelmesen minden megjegyzst az
REM # rtk mdostsa eltt.
REM #
REM #############################################################

rem Paramter: -oldApplicationHome
rem Hasznlat: -oldApplicationHome <knyvtr tvonala>
rem Lers:
rem 	Az alkalmazs sajt knyvtrnak teljes elrsi tvonala a 2.x vagy 3.0.x telepts esetn.
rem Alaprtelmezett:
rem 	<nincs>
rem Megszortsok:
rem  - ez egy ktelez paramter
rem  - a <knyvtr tvonala> egy ltez knyvtr kell, hogy legyen a kvetkez vgzdssel: 'server\conf'
rem    pl.: D:\Jazz\IBM\RTC_2.x\jazz\server\conf
rem
set OLD_APPLICATION_HOME=

rem Paramter: -applicationContextRoot
rem Hasznlat: -applicationContextRoot<gykr>
rem Lers:
rem 	A 2.x vagy 3.0.x kiszolgl alkalmazskontextus-gykere.
rem Alaprtelmezett:
rem 	jazz (2.x), ccm (3.0.1)
rem Megszortsok:
rem  - a <gykr> egy rvnyes, egyedli knyvtrnv kell, hogy legyen (azaz ne tartalmazzon kezd perjelet)
rem
set APPLICATION_CONTEXT_ROOT=

rem Paramter: -oldApplicationVersion
rem Hasznlat: -oldApplicationVersion <vltozat>
rem Lers:
rem 	A frisstend 3.x vltozat. Alaprtelmezs szerint ez a rgi alkalmazson a
rem  repotools -version parancs futtatsval hatrozhat meg.
rem Alaprtelmezs:
rem 	<nincs>
rem Megszortsok:
rem  - nem adhat meg, ha egy 2.x vltozatrl frisst
rem  - nem lehet teljes verzi karaktersorozat,
rem    pldul 3.0.0 vagy 3.0.1
rem
set OLD_APPLICATION_VERSION=

rem Paramter: -updateTomcatFiles
rem Hasznlat: -updateTomcatFiles <igen | nem>
rem Lers:
rem 	Frisstse-e a tomcat konfigurcis fjlokat?
rem Alaprtelmezett:
rem 	yes
rem Megszortsok:
rem  - Az egyedl rvnyes rtkek a kvetkezk: 'yes' s 'no'
rem
set UPDATE_TOMCAT_FILES=yes

rem Paramter: -oldTomcatHome
rem Hasznlat: -oldTomcatHome <knyvtr tvonala>
rem Lers:
rem 	A Tomcat gykrknyvtrnak teljes elrsi tvonala a 2.x vagy 3.0.x telepts esetn.
rem Alaprtelmezett:
rem 	<nincs>
rem Megszortsok:
rem  - Egy ltez knyvtrnak kell lennie
rem
set OLD_TOMCAT_HOME=

rem Paramter: -newApplicationHome
rem Hasznlat: -newApplicationHome <knyvtr tvonala>
rem Lers:
rem 	Az alkalmazs sajt knyvtrnak elrsi tvonala a 3.0.1.2 telepts esetn.
rem Alaprtelmezett:
rem 	conf
rem Megszortsok:
rem  - Kizrlag RTC, QM s RM frissts szmra engedlyezett
rem  - Amikor elfogadott, ez egy ktelez paramter
rem  - a <knyvtr tvonala> egy ltez knyvtr kell, hogy legyen a kvetkez vgzdssel: 'server\conf'
rem    pldul: D:\Jazz\IBM\RTC_3.0\JazzTeamServer\server\conf
rem
set NEW_APPLICATION_HOME="%START_DIR%\conf"

rem Paramter: -newJTSHome
rem Hasznlat: -newJTSHome <knyvtr elrsi tja>
rem Lers:
rem 	a JTS kiszolgl konfigurcis knyvtrnak elrsi tja a 3.0.1.2 teleptsben
rem Alaprtelmezett:
rem 	Az j alkalmazs sajt knyvtra
rem Megszortsok:
rem  - a <knyvtr tvonala> egy ltez knyvtr kell, hogy legyen a kvetkez vgzdssel: 'server\conf'
rem
set NEW_JTS_HOME=

rem Paramter: -jtsContextRoot
rem Hasznlat: -jtsContextRoot <gykr>
rem Lers:
rem 	A 3.0.1.2 JTS kiszolgl kontextusgykere.
rem Alaprtelmezett:
rem 	jts
rem Megszortsok:
rem  - <gykr> egy rvnyes, egyedli knyvtrnvnek kell lennie (azaz ne tartalmazzon kezd perjelet)
rem
set JTS_CONTEXT_ROOT=jts

rem Paramter: -newApplicationTomcatHome
rem Hasznlat: -newApplicationTomcatHome <knyvtr tvonala>
rem Lers:
rem 	A Tomcat alkalmazs gykrknyvtrnak elrsi tvonala 3.0.1.2 telepts esetn.
rem Alaprtelmezett:
rem 	<nincs>
rem
set NEW_TOMCAT_HOME=

rem Paramter: -newJTSTomcatHome
rem Hasznlat: -newJTSTomcatHome <knyvtr tvonala>
rem Lers:
rem 	A JTS Tomcat gykrknyvtrnak elrsi tvonala a 3.0.1.2 telepts esetn.
rem Alaprtelmezett:
rem 	<nincs>
rem
set NEW_JTS_TOMCAT_HOME=

rem Paramter: -noPrompt
rem Hasznlat: -noPrompt
rem Lers:
rem 	Ne krdezzen r a tblk ltrehozsa vagy mdostsa eltt
rem Alaprtelmezett:
rem 	<nincs>
rem Megszortsok:
rem  - A kizrlag rvnyes rtkek: res vagy 'noPrompt'
rem
rem set NO_PROMPT=noPrompt
set NO_PROMPT=

rem Paramter: -noVerify
rem Hasznlat: -noVerify
rem Lers:
rem 	Ne hajtsa vgre a teamserver.properties fjlok ellenrzst.
rem Alaprtelmezett:
rem 	<nincs>
rem Megszortsok:
rem  - Az egyedl rvnyes rtkek a kvetkezk: res vagy 'noVerify'
rem
rem set NO_VERIFY=noVerify
set NO_VERIFY=

rem Paramter: -overwrite
rem Hasznlat: -overwrite
rem Lers:
rem 	Fellrjon-e brmilyen ltez fjlt?
rem Alaprtelmezett:
rem 	no
rem Megszortsok:
rem  - Az egyedl rvnyes rtkek a kvetkezk: res vagy 'overwrite=yes'
rem
rem set OVERWRITE=overwrite=yes
set OVERWRITE=

rem Paramter: -importFromFile
rem Hasznlat: -importFromFile <fjl tvonala>
rem Lers:
rem 	Adatok importlsa a 2.x vagy 3.0.x vltozat exportlt tar fjljbl.
rem Alaprtelmezett:
rem 	<nincs>
rem Megszortsok:
rem  - Az tvonalnak egy ltez s rvnyes fjlra kell mutatnia
rem
set IMPORT_FROM_FILE=

rem Paramter: -noStepPrompt
rem Hasznlat: -noStepPrompt
rem Lers:
rem 	Ne krdezzen r egy lps vgrehajtsa eltt.
rem Alaprtelmezett:
rem 	false
rem Megszortsok:
rem - Az egyedl rvnyes rtkek a kvetkezk: 'true' vagy 'false'
rem
rem set NO_STEP_PROMPT=true
set NO_STEP_PROMPT=false
