@echo off
rem *******************************************************************************
rem  Licenc hatlya al es anyagok - Az IBM tulajdona
rem  (c) Copyright IBM Corporation 2006, 2011. Minden jog fenntartva.
rem
rem  Megjegyzs az Egyeslt llamokhoz kormnyzati felhasznlira vonatkoz
rem  korltozott jogokhoz: A hasznlatot, sokszorostst vagy kzzttelt az
rem  IBM vllalattal kttt GSA ADP Schedule Contract szerzds szablyozza
rem  *******************************************************************************


REM #############################################################
REM #
REM # Adja meg a krnyezeti vltozkat, amelyek megfelelnek a
REM # jts_upgrade.bat parancsfjl paramtereinek, s azok alaprtelmezett rtkeit
REM #
REM #===========================================================
REM #
REM # Ezt a fjlt a jts_upgrade.bat parancsfjl vgrehajtsnak
REM # kezdetekor olvassa a rendszer. Egy krnyezeti vltozt llt be
REM # rvnyes, elre meghatrozott alaprtelmezett rtkkel rendelkez paramterenknt.
REM #
REM # A felhasznlk mdosthatjk az alaprtelmezett rtket a
REM # jts_upgrade.bat sajt rtkekkel val indtshoz,
REM # anlkl, hogy meg kellene adniuk a paramtert s a
REM # megfelel rtkket a parancssorban.
REM #
REM # FIGYELMEZTETS:
REM # Nem minden vltozt szksges belltani minden
REM # alkalmazshoz.  Olvasson el figyelmesen minden megjegyzst az
REM # rtk mdostsa eltt.
REM #
REM #############################################################

rem Paramter: -oldJTSHome
rem Hasznlat: -oldJTSHome <knyvtr tvonala>
rem Lers:
rem 	A JTS sajt knyvtrnak teljes elrsi tvonala 3.0.x teleptsben.
rem Alaprtelmezett:
rem 	<nincs>
rem Megjegyzs:
rem     Ha meg van adva, az azt jelenti, hogy egy 3.0-rl 3.0.1-re trtn frissts fog trtnni
rem     az RTC s a JTS alkalmazsokat illeten. Ellenkez esetben az szlelt frissts tpustl
rem     fggetlenl kizrlag az RTC-re vonatkozik...
rem Megszortsok:
rem  - a <knyvtr tvonala> egy ltez knyvtr kell, hogy legyen a kvetkez vgzdssel: 'server\conf'
rem  - Csak RM s JTS frisstsek esetn rvnyes
rem
set OLD_JTS_HOME=

rem Paramter: -jtsContextRoot
rem Hasznlat: -jtsContextRoot <gykr>
rem Lers:
rem 	A JTS kontextusgykr
rem Alaprtelmezett:
rem 	jts
rem Megszortsok:
rem  - a <gykr> egy rvnyes, egyedli knyvtrnv kell, hogy legyen (azaz ne tartalmazzon kezd perjelet)
rem
set JTS_CONTEXT_ROOT=jts

rem Paramter: -oldJTSVersion
rem Hasznlat: -oldJTSVersion <vltozat>
rem Lers:
rem 	A frisstend 3.x vltozat. Alaprtelmezs szerint ez a rgi JTS-en a
rem  repotools -version parancs futtatsval hatrozhat meg.
rem Alaprtlemezs:
rem 	<nincs>
rem Megszortsok:
rem  - nem lehet teljes verzi karaktersorozat,
rem    pldul 3.0.0 vagy 3.0.1
rem
set OLD_JTS_VERSION=

rem Paramter: -updateTomcatFiles
rem Hasznlat: -updateTomcatFiles <igen | nem>
rem Lers:
rem 	Frisstse-e a tomcat konfigurcis fjlokat?
rem Alaprtelmezett:
rem 	yes
rem Megszortsok:
rem  - Az egyedl rvnyes rtkek a kvetkezk: 'yes' s 'no'
rem
set UPDATE_TOMCAT_FILES=yes

rem Paramter: -oldTomcatHome
rem Hasznlat: -oldTomcatHome <knyvtr tvonala>
rem Lers:
rem 	A Tomcat gykrknyvtrnak teljes elrsi tvonala a 3.0.x telepts esetn.
rem Alaprtelmezett:
rem 	<nincs>
rem Megszortsok:
rem  - Egy ltez knyvtrnak kell lennie
rem
set OLD_TOMCAT_HOME=

rem Paramter: -newJTSHome
rem Hasznlat: -newJTSHome <knyvtr elrsi tja>
rem Lers:
rem 	a JTS kiszolgl konfigurcis knyvtrnak elrsi tja a 3.0.1.2 teleptsben.
rem Alaprtelmezett:
rem 	conf
rem Megszortsok:
rem  - a <knyvtr tvonala> egy ltez knyvtr kell, hogy legyen a kvetkez vgzdssel: 'server\conf'
rem
set NEW_JTS_HOME="%START_DIR%\conf"

rem Paramter: -newTomcatHome
rem Hasznlat: -newTomcatHome <knyvtr elrsi tja>
rem Lers:
rem 	a Tomcat sajt knyvtrnak elrsi tja a 3.0.1.2 teleptsben.
rem Alaprtelmezett:
rem 	<nincs>
rem
set NEW_TOMCAT_HOME=

rem Paramter: -noPrompt
rem Hasznlat: -noPrompt
rem Lers:
rem 	Ne krdezzen r a tblk ltrehozsa vagy mdostsa eltt
rem Alaprtelmezett:
rem 	<nincs>
rem Megszortsok:
rem  - A kizrlag rvnyes rtkek: res vagy 'noPrompt'
rem
rem set NO_PROMPT=noPrompt
set NO_PROMPT=

rem Paramter: -noVerify
rem Hasznlat: -noVerify
rem Lers:
rem 	Ne hajtsa vgre a teamserver.properties fjlok ellenrzst.
rem Alaprtelmezett:
rem 	<nincs>
rem Megszortsok:
rem  - Az egyedl rvnyes rtkek a kvetkezk: res vagy 'noVerify'
rem
rem set NO_VERIFY=noVerify
set NO_VERIFY=

rem Paramter: -overwrite
rem Hasznlat: -overwrite
rem Lers:
rem 	Fellrjon-e brmilyen ltez fjlt?
rem Alaprtelmezett:
rem 	no
rem Megszortsok:
rem  - Az egyedl rvnyes rtkek a kvetkezk: res vagy 'overwrite=yes'
rem
rem set OVERWRITE=overwrite=yes
set OVERWRITE=

rem Paramter: -noStepPrompt
rem Hasznlat: -noStepPrompt
rem Lers:
rem 	Ne krdezzen r egy lps vgrehajtsa eltt.
rem Alaprtelmezett:
rem 	false
rem Megszortsok:
rem - Az egyedl rvnyes rtkek a kvetkezk: 'true' vagy 'false'
rem
rem set NO_STEP_PROMPT=true
set NO_STEP_PROMPT=false
