@echo off
rem *******************************************************************************
rem  Licensed Materials - Property of IBM
rem  (c) Copyright IBM Corporation 2006, 2011. Wszelkie prawa zastrzeone.
rem
rem  Uwaga: Uytkownikw z instytucji rzdowych USA
rem  obowizuj warunki umowy GSA ADP Schedule
rem  Contract z IBM Corp.
rem  *******************************************************************************


REM #############################################################
REM #
REM # Zdefiniuj zmienne rodowiskowe odpowiadajce parametrom
REM # skryptu jts_upgrade.bat i ich domylnym wartociom.
REM #
REM #===========================================================
REM #
REM # Ten plik jest odczytywany przed wykonaniem skryptu
REM # jts_upgrade.bat. Ustawia on po jednej zmiennej
REM # rodowiskowej dla kadego poprawnego parametru
REM # o zdefiniowanej wstpnie wartoci domylnej.
REM #
REM # Uytkownicy mog modyfikowa wartoci domylne w celu
REM # uruchomienia skryptu jts_upgrade.bat z wasnymi
REM # wartociami, bez koniecznoci wprowadzania parametrw
REM # i ich wartoci rcznie w wierszu komend.
REM #
REM # Ostrzeenie:
REM # Nie wszystkie zmienne s wymagane dla kadej
REM # aplikacji.  Naley przeczyta uwanie kady komentarz przed
REM # zmodyfikowaniem wartoci.
REM #
REM #############################################################

rem Parametr: -oldJTSHome
rem Skadnia: -oldJTSHome <cieka do katalogu>
rem Opis:
rem 	pena cieka do katalogu gwnego JTS w instalacji 3.0.x.
rem Warto domylna:
rem 	<brak>
rem Uwaga:
rem     jeli warto zostanie podana, oznacza to, e zostanie przeprowadzona
rem     aktualizacja wersji 3.0 do wersji 3.0.1 dla produktw RTC i JTS. W przeciwnym razie, gdy zostanie wykryta aktualizacja
rem     tego rodzaju, bdzie ona dotyczy tylko produktu RTC.
rem Ograniczenia:
rem  - <cieka do katalogu> musi by ciek do istniejcego katalogu zakoczon acuchem server\conf
rem  - Parametr jest uywany tylko dla aktualizacji aplikacji RM i serwera JTS.
rem
set OLD_JTS_HOME=

rem Parametr: -jtsContextRoot
rem Skadnia: -jtsContextRoot <katalog gwny>
rem Opis:
rem 	kontekstowy katalog gwny produktu JTS.
rem Warto domylna:
rem 	jts
rem Ograniczenia:
rem  - <katalog gwny> musi by poprawn nazw katalogu (bez ukonika itp.).
rem
set JTS_CONTEXT_ROOT=jts

rem Parametr: -oldJTSVersion
rem Skadnia: -oldJTSVersion <wersja>
rem Opis:
rem 	Aktualizowana wersja 3.x. Domylnie okrela si j, uruchamiajc komend repotools -version dla starej wersji serwera JTS. Warto domylna:
rem 	<brak>
rem Ograniczenia:
rem  - powinien to by peny acuch wersji, np. 3.0.0 lub 3.0.1
rem
set OLD_JTS_VERSION=

rem Parametr: -updateTomcatFiles
rem Skadnia: -updateTomcatFiles <yes | no>
rem Opis:
rem 	decyduje o tym, czy maj by aktualizowane pliki konfiguracyjne Tomcat.
rem Warto domylna:
rem 	yes
rem Ograniczenia:
rem  - jedyne poprawne wartoci to yes i no.
rem
set UPDATE_TOMCAT_FILES=yes

rem Parametr: -oldTomcatHome
rem Skadnia: -oldTomcatHome <cieka do katalogu>
rem Opis:
rem 	pena cieka do katalogu gwnego Tomcat w instalacji 3.0.x.
rem Warto domylna:
rem 	<brak>
rem Ograniczenia:
rem  - cieka musi wskazywa istniejcy katalog.
rem
set OLD_TOMCAT_HOME=

rem Parametr: -newJTSHome
rem Skadnia: -newJTSHome <cieka do katalogu>
rem Opis:
rem 	cieka do katalogu konfiguracji serwera JTS dla instalacji w wersji 3.0.1.2.
rem Warto domylna:
rem 	conf
rem Ograniczenia:
rem  - <cieka do katalogu> musi by ciek do istniejcego katalogu zakoczon acuchem server\conf.
rem
set NEW_JTS_HOME="%START_DIR%\conf"

rem Parametr: -newTomcatHome
rem Skadnia: -newTomcatHome <cieka do katalogu>
rem Opis:
rem 	cieka do katalogu gwnego serwera Tomcat dla instalacji w wersji 3.0.1.2.
rem Warto domylna:
rem 	<brak>
rem
set NEW_TOMCAT_HOME=

rem Parametr: -noPrompt
rem Skadnia: -noPrompt
rem Opis:
rem 	Wycza wywietlanie zapytania przed utworzeniem lub zmodyfikowaniem tabel.
rem Warto domylna:
rem 	<brak>
rem Ograniczenia:
rem  - Jedyne poprawne wartoci to warto pusta lub warto noPrompt.
rem
rem set NO_PROMPT=noPrompt
set NO_PROMPT=

rem Parametr: -noVerify
rem Skadnia: -noVerify
rem Opis:
rem 	nie sprawdzaj poprawnoci plikw teamserver.properties.
rem Warto domylna:
rem 	<brak>
rem Ograniczenia:
rem  - Jedyne poprawne wartoci to warto pusta lub warto noVerify.
rem
rem set NO_VERIFY=noVerify
set NO_VERIFY=

rem Parametr: -overwrite
rem Skadnia: -overwrite
rem Opis:
rem 	decyduje o tym, czy nadpisa istniejce pliki.
rem Warto domylna:
rem 	no
rem Ograniczenia:
rem  - Jedyne poprawne wartoci to warto pusta lub warto overwrite=yes.
rem
rem set OVERWRITE=overwrite=yes
set OVERWRITE=

rem Parametr: -noStepPrompt
rem Skadnia: -noStepPrompt
rem Opis:
rem 	nie wywietlaj zachty przed wykonaniem kroku.
rem Warto domylna:
rem 	false
rem Ograniczenia:
rem  - jedyne poprawne wartoci to true lub false.
rem
rem set NO_STEP_PROMPT=true
set NO_STEP_PROMPT=false
