@echo off
rem *******************************************************************************
rem  Materiais Licenciados - Propriedade da IBM
rem  (c) Copyright IBM Corporation 2006, 2011. Todos os Direitos Reservados.
rem
rem  Nota sobre Direitos Restritos para Usurios do Governo dos Estados Unidos:
rem  Uso, duplicao ou divulgao restritos pelo documento GSA ADP Schedule
rem  Contract com a IBM Corp.
rem  *******************************************************************************


REM #############################################################
REM #
REM # Defina as variveis de ambiente correspondentes aos
REM # parmetros de script jts_upgrade.bat e seus valores padro
REM #
REM #===========================================================
REM #
REM # Este arquivo  lido no incio da execuo do script
REM # jts_upgrade.bat. Ele configura uma varivel de ambiente
REM # por parmetro vlido com um valor padro predefinido.
REM #
REM # Os usurios podem desejar modificar o valor padro para
REM # ativar o script jts_upgrade.bat com seus prprios valores
REM # sem precisar inserir o parmetro e seus
REM # valores correspondentes manualmente na linha de comandos.
REM #
REM # AVISO:
REM # Nem todas as variveis precisam ser configuradas para todo
REM # aplicativo.  Leia cada comentrio cuidadosamente antes de modificar
REM # o valor.
REM #
REM #############################################################

rem Parmetro: -oldJTSHome
rem Uso: -oldJTSHome <dir path>
rem Descrio:
rem 	Caminho completo para o diretrio inicial de JTS na instalao 3.0.x.
rem Padro:
rem 	<none>
rem Nota:
rem     Se especificado, significa que ocorrer um upgrade da 3.0 para a 3.0.1
rem     para o RTC e o JTS. Caso contrrio, qualquer que seja o tipo de upgrade
rem     detectado, somente o RTC estar envolvido...
rem Restries:
rem  - <dir path> deve ser um diretrio existente terminado em 'server\conf'
rem  - Vlido somente para upgrades do RM e JTS
rem
set OLD_JTS_HOME=

rem Parmetro: -jtsContextRoot
rem Uso: -jtsContextRoot <root>
rem Descrio:
rem 	A raiz de contexto JTS
rem Padro:
rem 	jts
rem Restries:
rem  - <root> deve ser um nico nome de diretrio vlido (isto , sem barra  esquerda)
rem
set JTS_CONTEXT_ROOT=jts

rem Parmetro: -oldJTSVersion
rem Uso: -oldJTSVersion <version>
rem Descrio:
rem 	A verso 3.x que est sendo atualizada.  Por padro, isso  determinado
rem 	ao executar repotools -version com relao ao JTS antigo.
rem Padro:
rem 	<none>
rem Restries:
rem  - deve ser uma sequncia de verso completa, por exemplo,
rem    3.0.0 ou 3.0.1
rem
set OLD_JTS_VERSION=

rem Parmetro: -updateTomcatFiles
rem Uso: -updateTomcatFiles <yes | no>
rem Descrio:
rem 	Se os arquivos de configurao tomcat devem ser atualizados.
rem Padro:
rem 	yes
rem Restries:
rem  - Os nicos valores vlidos so 'yes' e 'no'
rem
set UPDATE_TOMCAT_FILES=yes

rem Parmetro: -oldTomcatHome
rem Uso: -oldTomcatHome <dir path>
rem Descrio:
rem 	Caminho completo para o diretrio-raiz Tomcat na instalao 3.0.x.
rem Padro:
rem 	<none>
rem Restries:
rem  - Deve ser um diretrio existente
rem
set OLD_TOMCAT_HOME=

rem Parmetro: -newJTSHome
rem Uso: -newJTSHome <dir path>
rem Descrio:
rem 	Caminho para o diretrio de configurao do servidor JTS da instalao 3.0.1.2.
rem Padro:
rem 	conf
rem Restries:
rem  - <dir path> deve ser um diretrio existente terminado com 'server\conf'
rem
set NEW_JTS_HOME="%START_DIR%\conf"

rem Parmetro: -newTomcatHome
rem Uso: -newTomcatHome <dir path>
rem Descrio:
rem 	Caminho para o diretrio inicial Tomcat da instalao 3.0.1.2.
rem Padro:
rem 	<none>
rem
set NEW_TOMCAT_HOME=

rem Parmetro: -noPrompt
rem Uso: -noPrompt
rem Descrio:
rem 	No avisar antes de criar ou modificar as tabelas
rem Padro:
rem 	<none>
rem Restries:
rem  - Os nicos valores vlidos so vazio ou 'noPrompt'
rem
rem set NO_PROMPT=noPrompt
set NO_PROMPT=

rem Parmetro: -noVerify
rem Uso: -noVerify
rem Descrio:
rem 	No execute a verificao de arquivos teamserver.properties.
rem Padro:
rem 	<none>
rem Restries:
rem  - Os nicos valores vlidos so vazio ou 'noVerify'
rem
rem set NO_VERIFY=noVerify
set NO_VERIFY=

rem Parmetro: -overwrite
rem Uso: -overwrite
rem Descrio:
rem 	Se deve-se sobrescrever qualquer arquivo existente.
rem Padro:
rem 	no
rem Restries:
rem  - Os nicos valores vlidos so vazio ou 'overwrite=yes'
rem
rem set OVERWRITE=overwrite=yes
set OVERWRITE=

rem Parmetro: -noStepPrompt
rem Uso: -noStepPrompt
rem Descrio:
rem 	No avisar antes de executar uma etapa.
rem Padro:
rem 	false
rem Restries:
rem  - Os nicos valores vlidos so 'true' e 'false'
rem
rem set NO_STEP_PROMPT=true
set NO_STEP_PROMPT=false
