@echo off
rem *******************************************************************************
rem  Licensed Materials - Property of IBM
rem  (c) Copyright IBM Corporation 2006, 2011. All Rights Reserved.
rem  
rem  Note to U.S. Government Users Restricted Rights:  
rem  Use, duplication or disclosure restricted by GSA ADP Schedule 
rem  Contract with IBM Corp. 
rem  *******************************************************************************


REM #############################################################
REM #
REM # Dfinissez les variables d'environnement correspondant
REM # aux paramtres de script qm_upgrade.bat ainsi que leurs
REM # valeurs par dfaut
REM #
REM #===========================================================
REM #
REM # Ce fichier est lu au dbut de l'excution du script
REM # qm_upgrade.bat. Il associe une variable d'environnement
REM # par paramtre valide  une valeur par dfaut prdfinie.
REM #
REM # Les utilisateurs peuvent modifier la valeur par dfaut
REM # pour lancer le script qm_upgrade.bat avec leurs propres
REM # valeurs sans avoir  entrer manuellement le paramtre et
REM # sa valeur correspondante sur la ligne de commande.
REM #
REM # AVERTISSEMENT :
REM # Les variables ne doivent pas toutes tre dfinies, selon
REM # l'application mise  niveau.  Lisez attentivement chaque
REM # commentaire avant de modifier la valeur.
REM #
REM #############################################################

rem Paramtre : -oldApplicationHome
rem Syntaxe : -oldApplicationHome <chemin rpertoire>
rem Description :
rem 	Chemin d'accs complet au rpertoire principal de l'application dans l'installation 2.x ou 3.0.x.
rem Valeur par dfaut :
rem 	<aucune>
rem Contraintes :
rem  - Il s'agit d'un paramtre obligatoire.
rem  - <chemin rpertoire> doit correspondre  un rpertoire existant qui se termine par 'server\conf'.
rem    Exemple : D:\Jazz\IBM\RQM_2.x\jazz\server\conf
rem
set OLD_APPLICATION_HOME=

rem Paramtre : -applicationContextRoot
rem Syntaxe : -applicationContextRoot <racine>
rem Description :
rem 	Racine de contexte d'application du serveur 2.x ou 3.0.x.
rem Valeur par dfaut :
rem 	jazz (2.x), qm (3.0.1)
rem Contraintes :
rem  - <racine> doit correspondre  un nom unique de rpertoire valide (sans barre oblique au dbut).
rem
set APPLICATION_CONTEXT_ROOT=

rem Paramtre : -updateTomcatFiles
rem Syntaxe : -updateTomcatFiles <yes | no>
rem Description :
rem 	Indique si les fichiers de configuration Tomcat doivent tre mis  jour.
rem Valeur par dfaut :
rem 	yes
rem Contraintes :
rem  - Les seules valeurs admises sont 'yes' et 'no'.
rem
set UPDATE_TOMCAT_FILES=yes

rem Paramtre : -oldTomcatHome
rem Syntaxe : -oldTomcatHome <chemin rpertoire>
rem Description :
rem 	Chemin d'accs complet au rpertoire principal de Tomcat dans l'installation 2.x ou 3.0.x.
rem Valeur par dfaut :
rem 	<aucune>
rem Contraintes :
rem  - Doit correspondre  un rpertoire existant
rem
set OLD_TOMCAT_HOME=

rem Paramtre : -newApplicationHome
rem Syntaxe : -newApplicationHome <chemin rpertoire>
rem Description :
rem  	Chemin d'accs au rpertoire principal de l'application dans l'installation 3.0.1.2.
rem Valeur par dfaut :
rem 	conf
rem Contraintes :
rem  - Admis uniquement pour la mise  niveau de RTC, QM et RM.
rem  - Lorsqu'il est admis, il s'agit d'un paramtre obligatoire.
rem  - <chemin rpertoire> doit correspondre  un rpertoire existant qui se termine par 'server\conf'.
rem    Exemple : D:\Jazz\IBM\RQM_3.0\JazzTeamServer\server\conf
rem
set NEW_APPLICATION_HOME="%START_DIR%\conf"

rem Paramtre : -newJTSHome
rem Syntaxe : -newJTSHome <chemin rpertoire>
rem Description :
rem 	Chemin d'accs complet au rpertoire principal du serveur JTS dans l'application 3.0.1.2.
rem Valeur par dfaut :
rem 	Le rpertoire principal de la nouvelle application
rem Contraintes :
rem  - <chemin rpertoire> doit correspondre  un rpertoire existant qui se termine par 'server\conf'.
rem    Exemple : D:\Jazz\IBM\RQM_3.0\JazzTeamServer\server\conf
rem
set NEW_JTS_HOME=

rem Paramtre : -jtsContextRoot
rem Syntaxe : -jtsContextRoot <racine>
rem Description :
rem 	Racine de contexte du serveur JTS 3.0.1.2.
rem Valeur par dfaut :
rem 	jts
rem Contraintes :
rem  - <racine> doit correspondre  un nom unique de rpertoire valide (sans barre oblique au dbut).
rem
set JTS_CONTEXT_ROOT=jts

rem Paramtre : -newApplicationTomcatHome
rem Syntaxe : -newApplicationTomcatHome <chemin rpertoire>
rem Description :
rem 	Chemin d'accs au rpertoire principal Tomcat de l'application dans l'installation 3.0.1.2.
rem Valeur par dfaut :
rem 	<aucune>
rem
set NEW_TOMCAT_HOME=

rem Paramtre : -newJTSTomcatHome
rem Syntaxe : -newJTSTomcatHome <chemin rpertoire>
rem Description :
rem 	Chemin d'accs au rpertoire principal Tomcat du serveur JTS dans l'installation 3.0.1.2.
rem Valeur par dfaut :
rem 	<aucune>
rem
set NEW_JTS_TOMCAT_HOME=

rem Paramtre : -noPrompt
rem Syntaxe : -noPrompt
rem Description :
rem 	Ne pas demander confirmation avant la cration ou la modification des tables.
rem Valeur par dfaut :
rem 	<aucune>
rem Contraintes :
rem - Les seules valeurs admises sont la valeur vide et 'noPrompt'.
rem
rem set NO_PROMPT=noPrompt
set NO_PROMPT=

rem Paramtre : -noVerify
rem Syntaxe : -noVerify
rem Description :
rem 	Ne pas vrifier les fichiers teamserver.properties.
rem Valeur par dfaut :
rem 	<aucune>
rem Contraintes :
rem - Les seules valeurs admises sont la valeur vide et 'noVerify'.
rem
rem set NO_VERIFY=noVerify
set NO_VERIFY=

rem Paramtre : -overwrite
rem Syntaxe : -overwrite
rem Description :
rem 	Indique si les fichiers existants doivent tre remplacs.
rem Valeur par dfaut :
rem 	no
rem Contraintes :
rem - Les seules valeurs admises sont la valeur vide et 'overwrite=yes'.
rem
rem set OVERWRITE=overwrite=yes
set OVERWRITE=

rem Paramtre : -importFromFile
rem Syntaxe : -importFromFile <chemin fichier>
rem Description :
rem 	Importer des donnes  partir d'un fichier tar export 2.x ou 3.0.x.
rem Valeur par dfaut :
rem 	<aucune>
rem Contraintes :
rem  - Le chemin doit dsigner un fichier valide qui existe.
rem
set IMPORT_FROM_FILE=

rem Paramtre : -noStepPrompt
rem Syntaxe : -noStepPrompt
rem Description :
rem 	Ne pas demander confirmation avant l'excution d'une tape.
rem Valeur par dfaut :
rem 	false
rem Contraintes :
rem  - Les seules valeurs admises sont 'true' et 'false'.
rem
rem set NO_STEP_PROMPT=true
set NO_STEP_PROMPT=false
