@echo off
rem *******************************************************************************
rem  Licensed Materials - Property of IBM
rem  (c) Copyright IBM Corporation 2006, 2011. Wszelkie prawa zastrzeone.
rem
rem  Uwaga: Uytkownikw z instytucji rzdowych USA
rem  obowizuj warunki umowy GSA ADP Schedule
rem  Contract z IBM Corp.
rem  *******************************************************************************


REM #############################################################
REM #
REM # Zdefiniuj zmienne rodowiskowe odpowiadajce parametrom
REM # skryptu qm_upgrade.bat i ich domylnym wartociom.
REM #
REM #===========================================================
REM #
REM # Ten plik jest odczytywany przed wykonaniem skryptu
REM # qm_upgrade.bat. Ustawia on po jednej zmiennej
REM # rodowiskowej dla kadego poprawnego parametru
REM # o zdefiniowanej wstpnie wartoci domylnej.
REM #
REM # Uytkownicy mog modyfikowa wartoci domylne w celu
REM # uruchomienia skryptu qm_upgrade.bat z wasnymi
REM # wartociami, bez koniecznoci wprowadzania parametrw
REM # i ich wartoci rcznie w wierszu komend.
REM #
REM # Ostrzeenie:
REM # Nie wszystkie zmienne s wymagane dla kadej
REM # aplikacji.  Naley przeczyta uwanie kady komentarz przed
REM # zmodyfikowaniem wartoci.
REM #
REM #############################################################

rem Parametr: -oldApplicationHome
rem Skadnia: -oldApplicationHome <cieka do katalogu>
rem Opis:
rem 	pena cieka do katalogu gwnego aplikacji w instalacji 2.x lub 3.0.x.
rem Warto domylna:
rem 	<brak>
rem Ograniczenia:
rem  - To jest parametr obowizkowy.
rem  - <cieka do katalogu> musi by ciek do istniejcego katalogu zakoczon acuchem server\conf,
rem    na przykad D:\Jazz\IBM\RQM_2.x\jazz\server\conf
rem
set OLD_APPLICATION_HOME=

rem Parametr: -applicationContextRoot
rem Skadnia: -applicationContextRoot<katalog_gwny>
rem Opis:
rem 	kontekstowy katalog gwny aplikacji serwera 2.x lub 3.0.x.
rem Warto domylna:
rem 	jazz (2.x), qm (3.0.1)
rem Ograniczenia:
rem  - <katalog gwny> musi by poprawn nazw katalogu (bez ukonika itp.).
rem
set APPLICATION_CONTEXT_ROOT=

rem Parametr: -updateTomcatFiles
rem Skadnia: -updateTomcatFiles <yes | no>
rem Opis:
rem 	decyduje o tym, czy maj by aktualizowane pliki konfiguracyjne Tomcat.
rem Warto domylna:
rem 	yes
rem Ograniczenia:
rem  - jedyne poprawne wartoci to yes i no.
rem
set UPDATE_TOMCAT_FILES=yes

rem Parametr: -oldTomcatHome
rem Skadnia: -oldTomcatHome <cieka do katalogu>
rem Opis:
rem 	pena cieka do katalogu gwnego Tomcat w instalacji 2.x lub 3.0.x.
rem Warto domylna:
rem 	<brak>
rem Ograniczenia:
rem  - cieka musi wskazywa istniejcy katalog.
rem
set OLD_TOMCAT_HOME=

rem Parametr: -newApplicationHome
rem Skadnia: -newApplicationHome <cieka do katalogu>
rem Opis:
rem 	cieka do katalogu gwnego aplikacji w instalacji 3.0.1.2.
rem Warto domylna:
rem 	conf
rem Ograniczenia:
rem  - Akceptowane tylko dla aktualizacji aplikacji RTC, QM i RM;
rem  - Po zaakceptowaniu jest to parametr obowizkowy;
rem  - <cieka do katalogu> musi by ciek do istniejcego katalogu zakoczon acuchem server\conf,
rem    na przykad D:\Jazz\IBM\RQM_3.0\JazzTeamServer\server\conf.
rem
set NEW_APPLICATION_HOME="%START_DIR%\conf"

rem Parametr: -newJTSHome
rem Skadnia: -newJTSHome <cieka do katalogu>
rem Opis:
rem 	pena cieka do katalogu gwnego JTS w instalacji 3.0.1.2.
rem Warto domylna:
rem 	Nowy katalog gwny aplikacji
rem Ograniczenia:
rem  - <cieka do katalogu> musi by ciek do istniejcego katalogu zakoczon acuchem server\conf,
rem    na przykad D:\Jazz\IBM\RQM_3.0\JazzTeamServer\server\conf
rem
set NEW_JTS_HOME=

rem Parametr: -jtsContextRoot
rem Skadnia: -jtsContextRoot <katalog gwny>
rem Opis:
rem 	kontekstowy katalog gwny serwera JTS 3.0.1.2.
rem Warto domylna:
rem 	jts
rem Ograniczenia:
rem  - <katalog gwny> musi by poprawn nazw katalogu (bez ukonika itp.).
rem
set JTS_CONTEXT_ROOT=jts

rem Parametr: -newApplicationTomcatHome
rem Skadnia: -newApplicationTomcatHome <cieka do katalogu>
rem Opis:
rem 	cieka do katalogu gwnego aplikacji Tomcat w instalacji 3.0.1.2.
rem Warto domylna:
rem 	<brak>
rem
set NEW_TOMCAT_HOME=

rem Parametr: -newJTSTomcatHome
rem Skadnia: -newJTSTomcatHome <cieka do katalogu>
rem Opis:
rem 	cieka do katalogu gwnego JTS Tomcat w instalacji 3.0.1.2.
rem Warto domylna:
rem 	<brak>
rem
set NEW_JTS_TOMCAT_HOME=

rem Parametr: -noPrompt
rem Skadnia: -noPrompt
rem Opis:
rem 	Wycza wywietlanie zapytania przed utworzeniem lub zmodyfikowaniem tabel.
rem Warto domylna:
rem 	<brak>
rem Ograniczenia:
rem  - Jedyne poprawne wartoci to warto pusta lub warto noPrompt.
rem
rem set NO_PROMPT=noPrompt
set NO_PROMPT=

rem Parametr: -noVerify
rem Skadnia: -noVerify
rem Opis:
rem 	nie sprawdzaj poprawnoci plikw teamserver.properties.
rem Warto domylna:
rem 	<brak>
rem Ograniczenia:
rem  - Jedyne poprawne wartoci to warto pusta lub warto noVerify.
rem
rem set NO_VERIFY=noVerify
set NO_VERIFY=

rem Parametr: -overwrite
rem Skadnia: -overwrite
rem Opis:
rem 	decyduje o tym, czy nadpisa istniejce pliki.
rem Warto domylna:
rem 	no
rem Ograniczenia:
rem  - Jedyne poprawne wartoci to warto pusta lub warto overwrite=yes.
rem
rem set OVERWRITE=overwrite=yes
set OVERWRITE=

rem Parametr: -importFromFile
rem Skadnia: -importFromFile <cieka do pliku>
rem Opis:
rem 	importuj dane z pliku TAR wyeksportowanego z wersji 2.x lub 3.0.x.
rem Warto domylna:
rem 	<brak>
rem Ograniczenia:
rem  - cieka musi wskazywa istniejcy i poprawny plik.
rem
set IMPORT_FROM_FILE=

rem Parametr: -noStepPrompt
rem Skadnia: -noStepPrompt
rem Opis:
rem 	nie wywietlaj zachty przed wykonaniem kroku.
rem Warto domylna:
rem 	false
rem Ograniczenia:
rem  - jedyne poprawne wartoci to true lub false.
rem
rem set NO_STEP_PROMPT=true
set NO_STEP_PROMPT=false
