@echo off
rem *******************************************************************************
rem  Materiale su licenza - Propriet di IBM
rem  (c) Copyright IBM Corporation 2006, 2011. Tutti i diritti riservati.
rem
rem  Nota relativa a limitazioni dei diritti per gli utenti del Governo degli Stati Uniti:
rem  L'uso, la duplicazione o la divulgazione sono limitati dal GSA ADP Schedule
rem  Contract con IBM Corp.
rem  *******************************************************************************


REM #############################################################
REM #
REM # Definizione delle variabili d'ambiente corrispondenti ai
REM # parametri dello script rm_upgrade.bat e ai relativi
REM # valori predefiniti
REM #===========================================================
REM #
REM # Questo file viene letto all'inizio dell'esecuzione dello
REM # rm_upgrade.bat. Esso imposta una variabile di
REM # ambiente per parametro valido con un valore predefinito.
REM #
REM # Gli utenti possono modificare il valore predefinito per
REM # avviare lo script rm_upgrade.bat con i propri valori
REM # senza dover immettere il parametro e il corrispondente
REM # valore manualmente sulla riga comandi.
REM #
REM # AVVERTENZA:
REM # Non tutte le variabili devono essere impostate in base
REM # all'applicazione correntemente aggiornata.  Leggere attentamente ogni commento
REM # prima di modificare il valore.
REM #
REM #############################################################

rem Parametro: -oldApplicationHome
rem Uso: -oldApplicationHome <percorso dir>
rem Descrizione:
rem 	Percorso completo della directory home dell'applicazione nell'installazione 2.x o 3.0.x.
rem Valore predefinito:
rem 	<nessun valore>
rem Limitazioni:
rem  - Questo  un parametro obbligatorio
rem  - <percorso dir> deve essere una directory esistente che termina con 'server\conf'
rem    ad esempio, D:\Jazz\IBM\RRC_2.x\jazz\server\conf
rem
set OLD_APPLICATION_HOME=

rem Parametro: -applicationContextRoot
rem Uso: -applicationContextRoot <root>
rem Descrizione:
rem 	La root di contesto dell'applicazione del server 2.x o 3.0.x.
rem Valore predefinito:
rem 	rdm (2.x), rm (3.0.1)
rem Limitazioni:
rem  - <root> deve essere una singola directory valida (senza barra iniziale)
rem
set APPLICATION_CONTEXT_ROOT=

rem Parametro: -oldJTSHome
rem Uso: -oldJTSHome <percorso dir>
rem Descrizione:
rem 	Percorso completo della directory home JTS nell'installazione 2.x o 3.0.x.
rem Valore predefinito:
rem 	<nessun valore>
rem Nota:
rem     Se specificato, significa che si verificher un aggiornamento da 3.0 a 3.0.1
rem     sia per RTC che per JTS. In caso contrario, qualsiasi sia il tipo di aggiornamento
rem     rilevato, ne sar interessato solo RTC...
rem Limitazioni:
rem  - <percorso dir> deve essere una directory esistente che termina con 'server\conf'
rem  - Valido solo per gli aggiornamenti RM e JTS
rem
set OLD_JTS_HOME=

rem Parametro: -oldJTSContextRoot
rem Uso: -oldJTSContextRoot <root>
rem Descrizione:
rem 	La root di contesto JTS del server 2.x o 3.0.x
rem Valore predefinito:
rem 	jazz
rem Limitazioni:
rem  - Accettato solo per l'aggiornamento RM
rem  - <root> deve essere una singola directory valida (senza barra iniziale)
rem
set OLD_JTS_CONTEXT_ROOT=jazz

rem Parametro: -updateTomcatFiles
rem Uso: -updateTomcatFiles <yes | no>
rem Descrizione:
rem 	Indica se aggiorna i file di configurazione tomcat.
rem Valore predefinito:
rem 	yes
rem Limitazioni:
rem  - Gli unici valori validi sono 'yes' e 'no'
rem
set UPDATE_TOMCAT_FILES=yes

rem Parametro: -oldApplicationTomcatHome
rem Uso: -oldApplicationTomcatHome <percorso dir>
rem Descrizione:
rem 	Percorso completo della directory root Tomcat dell'applicazione nell'installazione 2.x o 3.0.x.
rem Valore predefinito:
rem 	<nessun valore>
rem Limitazioni:
rem  - Accettato solo per l'aggiornamento RM
rem  - Deve essere una directory esistente
rem
set OLD_TOMCAT_HOME=

rem Parametro: -oldJTSTomcatHome
rem Uso: -oldJTSTomcatHome <percorso dir>
rem Descrizione:
rem 	Percorso completo della directory root Tomcat JTS nell'installazione 2.x o 3.0.x.
rem Valore predefinito:
rem 	<nessun valore>
rem Limitazioni:
rem  - Accettato solo per l'aggiornamento RM
rem  - Deve essere una directory esistente
rem
set OLD_JTS_TOMCAT_HOME=

rem Parametro: -newApplicationHome
rem Uso: -newApplicationHome <percorso dir>
rem Descrizione:
rem 	Percorso della directory home dell'applicazione nell'installazione 3.0.1.2.
rem Valore predefinito:
rem 	conf
rem Limitazioni:
rem  - Accettato solo per aggiornamenti di RTC, QM e RM
rem  - Se accettato, questo  un parametro obbligatorio
rem  - <percorso dir> deve essere una directory esistente che termina con 'server\conf'
rem    ad esempio, D:\Jazz\IBM\RRC_3.0\JazzTeamServer\server\conf
rem
set NEW_APPLICATION_HOME="%START_DIR%\conf"

rem Parametro: -newJTSHome
rem Uso: -newJTSHome <percorso dir>
rem Descrizione:
rem 	Il percorso completo della directory home JTS nell'installazione 3.0.1.2.
rem Valore predefinito:
rem 	La nuova directory home dell'applicazione
rem Limitazioni:
rem  - <percorso dir> deve essere una directory esistente che termina con 'server\conf'
rem
set NEW_JTS_HOME=

rem Parametro: -newJTSContextRoot
rem Uso: -newJTSContextRoot <root>
rem Descrizione:
rem 	La root di contesto del server JTS 3.0.1.2.
rem Valore predefinito:
rem 	jts
rem Limitazioni:
rem  - <root> deve essere una singola directory valida (senza barra iniziale)
rem
set JTS_CONTEXT_ROOT=jts

rem Parametro: -newApplicationTomcatHome
rem Uso: -newApplicationTomcatHome <percorso dir>
rem Descrizione:
rem 	Percorso della directory root Tomcat dell'applicazione nell'installazione 3.0.1.2.
rem Valore predefinito:
rem 	<nessun valore>
rem
set NEW_TOMCAT_HOME=

rem Parametro: -newJTSTomcatHome
rem Uso: -newJTSTomcatHome <percorso dir>
rem Descrizione:
rem 	Percorso della directory root Tomcat JTS nell'installazione 3.0.1.2.
rem Valore predefinito:
rem 	<nessun valore>
rem
set NEW_JTS_TOMCAT_HOME=

rem Parametro: -noPrompt
rem Uso: -noPrompt
rem Descrizione:
rem 	Non richiede alcuna conferma (ad esempio, utilizza sempre noPrompt) durante l'esecuzione dei comandi repotools
rem Valore predefinito:
rem 	<nessun valore>
rem Limitazioni:
rem  - Gli unici valori validi sono il valore vuoto o 'noPrompt'
rem
rem set NO_PROMPT=noPrompt
set NO_PROMPT=

rem Parametro: -overwrite
rem Uso: -overwrite
rem Descrizione:
rem 	Forza la sovrascrittura (ad esempio, utilizza sempre overwrite=yes) durante l'esecuzione dei comandi repotools
rem Valore predefinito:
rem 	<nessun valore>
rem Limitazioni:
rem  - Gli unici valori validi sono il valore vuoto o 'overwrite=yes'
rem
rem set OVERWRITE=overwrite=yes
set OVERWRITE=

rem Parametro: -noVerify
rem Uso: -noVerify
rem Descrizione:
rem 	Non esegue alcuna verifica (ad esempio, utilizza sempre noVerify) durante l'esecuzione dei comandi repotools
rem Valore predefinito:
rem 	<nessun valore>
rem Limitazioni:
rem  - Gli unici valori validi sono il valore vuoto o 'noVerify'
rem
rem set NO_VERIFY=noVerify
set NO_VERIFY=

rem Parametro: -importFromFile
rem Uso: -importFromFile <percorso file>
rem Descrizione:
rem 	Importa il contenuto di un file tar nelle tabelle di database
rem Valore predefinito:
rem 	<nessun valore>
rem Limitazioni:
rem  - Il percorso deve fare riferimento a un file esistente valido
rem
set IMPORT_FROM_FILE=

rem Parametro: -noStepPrompt
rem Uso: -noStepPrompt
rem Descrizione:
rem 	Non richiede conferma prima di ogni passo di aggiornamento
rem Valore predefinito:
rem 	false
rem Limitazioni:
rem  - Gli unici valori validi sono 'true' e 'false'
rem
rem set NO_STEP_PROMPT=true
set NO_STEP_PROMPT=false

rem Parametro: -jtsURL
rem Utilizzo: -jtsURL <JTS public URI>
rem Descrizione:
rem 	URI pubblica del JTS
rem Valore predefinito:
rem 	<nessuno>
rem Vincoli:
rem  - accettato solo nell'aggiornamento RM
rem  - necessario solo in una distribuzione in cui JTS  in esecuzione su un'istanza server diversa da quella dell'applicazione RM
rem
set JTS_PUBLIC_URL=
